%global plugin_name carddav

Name:           roundcubemail-plugin-%{plugin_name}
Version:        4.4.3
Release:        1%{?dist}
Summary:        CardDAV Plugin for Roundcube Webmail

License:        GPLv2
URL:            https://github.com/mstilkerich/rcmcarddav
Source0:        https://github.com/mstilkerich/rcmcarddav/releases/download/v%{version}/carddav-v%{version}.tar.gz
BuildArch:      noarch

Requires:       roundcubemail

%description
This is a simple CardDAV client implementation.

The configuration is done in the Settings Dialogue in the webfrontend, thanks to Dirk who submitted a patch to FS#3
    http://bugs.crash-override.net/index.php?do=details&task_id=3

    There is a bugtracker available at:
    http://bugs.crash-override.net/

    There is a mailinglist available at:
    http://www.crash-override.net/carddavmailinglist.html

%prep
%setup -q -n carddav
sed -i -e s/config.inc.php/%{plugin_name}.inc.php/ README.md


%install
mkdir -p %{buildroot}%{_datadir}/roundcubemail/plugins/%{plugin_name}
cp -rp * %{buildroot}%{_datadir}/roundcubemail/plugins/%{plugin_name}/
mkdir -p %{buildroot}%{_sysconfdir}/roundcubemail
mv %{buildroot}%{_datadir}/roundcubemail/plugins/%{plugin_name}/config.inc.php.dist \
   %{buildroot}%{_sysconfdir}/roundcubemail/%{plugin_name}.inc.php

%files
%doc CHANGELOG.md README.md
%license LICENSE
%config(noreplace) %{_sysconfdir}/roundcubemail/%{plugin_name}.inc.php
%{_datadir}/roundcubemail/plugins/%{plugin_name}/


%changelog
* Thu Aug 18 2022 Brian J. Murrell <brian@interlinx.bc.ca> - 4.4.3-1
- Update to 4.4.3

* Wed Jun 29 2022 Brian J. Murrell <brian@interlinx.bc.ca> - 4.4.2-1
- Update to 4.4.2
- Go back to previous source tarball naming

* Mon Jun 27 2022 Brian J. Murrell <brian@interlinx.bc.ca> - 4.4.1-1
- Update to 4.4.1
- Use new naming convention for source tarball

* Fri Jan 28 2022 Brian J. Murrell <brian@interlinx.bc.ca> - 4.3.0-1
- Update to 4.3.0 and use the new location
- Change README to README.md in %%prep

* Sat Oct 24 2015 Brian J. Murrell <brian@interlinx.bc.ca> - 1.0.0-1
- Initial package
